Vai al contenuto principale
PATCH
JavaScript

Autorizzazioni

Authorization
string
header
obbligatorio

Send your API key as a bearer token: Authorization: Bearer <api_key>. A test mode key starts with dodo_test_, for example dodo_test_AbCd1234EfGh5678.<secret>. A live mode key starts with dodo_live_. Use a test mode key on test.dodopayments.com and a live mode key on live.dodopayments.com. Keys from before these tags have no tag and operate as before.

Parametri del percorso

id
string
obbligatorio

Brand Id

Corpo

application/json
description
string | null
image_id
string<uuid> | null

The UUID you got back from the presigned‐upload call

name
string | null
statement_descriptor
string | null
support_email
string | null
url
string | null

Risposta

Updated Brand

brand_id
string
obbligatorio
business_id
string
obbligatorio
enabled
boolean
obbligatorio
statement_descriptor
string
obbligatorio
verification_enabled
boolean
obbligatorio
verification_status
enum<string>
obbligatorio
Opzioni disponibili:
Success,
Fail,
Review,
Hold
archived_at
string<date-time> | null

Time the brand was archived. Null for an active brand.

description
string | null
image
string | null
name
string | null
reason_for_hold
string | null

Incase the brand verification fails or is put on hold

support_email
string | null
url
string | null
Ultima modifica il 1 aprile 2026